# xarray.CFTimeIndex.slice_locs

`CFTimeIndex.``slice_locs`(start=None, end=None, step=None, kind=None)

  Compute slice locations for input labels.

  Parameters:

  - start (label, default None) – If None, defaults to the beginning
  - end (label, default None) – If None, defaults to the end
  - step (int, defaults None) – If None, defaults to 1
  - kind ({'ix', 'loc', 'getitem'} or None) –

  Returns: | start, end
  Return type: | int

  See also

  `Index.get_loc()`
    Get location for a single label.

  Notes

  This method only works if the index is monotonic or unique.

  Examples

      >>> idx = pd.Index(list('abcd'))
      >>> idx.slice_locs(start='b', end='c')
      (1, 3)